/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.xelfi.quoridor.visidor;

import cz.xelfi.quoridor.Move;
import java.util.EventObject;

/** Event describing what happens in {@link BoardPane}.
 *
 * @author Jaroslav Tulach <jtulach@netbeans.org>
 */
public final class BoardEvent extends EventObject {
    private final Move move;
    
    BoardEvent(BoardPane p, Move m) {
        super(p);
        this.move = m;
    }
    
    /** The move that describes recent user gesture on the {@link BoardPane}.
     * 
     * @return the move or null, if this event does not describe a move
     */
    public Move getMove() {
        return move;
    }
}
